org.apache.lucene.spatial.prefix

## Class AbstractPrefixTreeFilter

- java.lang.Object
- - org.apache.lucene.search.Filter
  - - org.apache.lucene.spatial.prefix.AbstractPrefixTreeFilter

Direct Known Subclasses:
  AbstractVisitingPrefixTreeFilter

    public abstract class AbstractPrefixTreeFilter
    extends Filter

Base class for Lucene Filters on SpatialPrefixTree fields.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Nested Class Summary

Nested Classes
`class` `AbstractPrefixTreeFilter.BaseTermsEnumTraverser` Holds transient state and docid collecting utility methods as part of traversing a `TermsEnum`.

### Field Summary

Fields
`protected int` `detailLevel`
`protected String` `fieldName`
`protected SpatialPrefixTree` `grid`
`protected com.spatial4j.core.shape.Shape` `queryShape`

### Constructor Summary

Constructors
Constructor and Description
`AbstractPrefixTreeFilter(com.spatial4j.core.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.search.Filter

`getDocIdSet`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### queryShape

    protected final com.spatial4j.core.shape.Shape queryShape

#### fieldName

    protected final String fieldName

#### grid

    protected final SpatialPrefixTree grid

#### detailLevel

    protected final int detailLevel

### Constructor Detail

#### AbstractPrefixTreeFilter

    public AbstractPrefixTreeFilter(com.spatial4j.core.shape.Shape queryShape,
                            String fieldName,
                            SpatialPrefixTree grid,
                            int detailLevel)

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`